%global srcname flask-mongoengine
%global ext_version 0.7.0

Name:		python-flask-mongoengine
Version:	0.7
Release:	1%{?dist}
Summary:	Flask extension that provides integration with MongoEngine

License:	BSD
URL:		https://flask-mongoengine.readthedocs.org/
Source0:	https://pypi.python.org/packages/source/f/%{srcname}/%{srcname}-%{version}.0.tar.gz
#Removes nose and coverage dependencies from setup.py
Patch0:		python-flask-mongoengine-0.6-tests-removal.patch

BuildArch:	noarch
Buildrequires:	python2-devel python-setuptools python-sphinx
Requires:	python-mongoengine python-flask python-flask-wtf python-six

%description
A Flask extension that provides integration with MongoEngine. It handles
connection management for your app. You can also use WTForms as model forms
for your models.

%prep
%setup -q -n %{srcname}-%{ext_version}
%patch0 -p1

%build
%{__python} setup.py build
cd %{_builddir}/%{srcname}-%{ext_version}/docs/
make man

#Tests passed on my machine, but I did not include them because they
#require mongod running

%install
%{__python} setup.py install --skip-build -O1 --root %{buildroot}
mkdir -p %{buildroot}%{_mandir}/man1/
cp %{_builddir}/%{srcname}-%{ext_version}/docs/_build/man/%{srcname}.1 %{buildroot}%{_mandir}/man1/

%files
%doc LICENSE README.rst
%{python_sitelib}/flask_mongoengine
%{python_sitelib}/*.egg-info
%{_mandir}/man1/%{srcname}.1.gz


%changelog
* Tue Aug 13 2013 Matej Stuchlik <mstuchli@redhat.com> - 0.7-1
- Updated to 0.7

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 04 2013 Matej Stuchlik <mstuchli@redhat.com> - 0.6-2
- Added patch that removes unused dependencies and changed the URL field

* Wed Apr 3 2013 mstuchli <mstuchli@redhat.com> - 0.6-1
- Initial spec
